Update Video Embed Post
curl --request PUT \
--url https://api.fourthwall.com/open-api/v1.1/memberships/posts/video_embeds/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attributes": {
"core": {
"title": "<string>",
"description": "<string>",
"liveAt": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
]
},
"series": [
{
"id": 123
}
]
},
"access": {
"tiers": [
{
"id": 123
}
],
"price": 25150
},
"notifications": {
"enabled": true
},
"remove_thumbnail": true
}
'import requests
url = "https://api.fourthwall.com/open-api/v1.1/memberships/posts/video_embeds/{id}"
payload = {
"attributes": {
"core": {
"title": "<string>",
"description": "<string>",
"liveAt": "2023-11-07T05:31:56Z",
"tags": ["<string>"]
},
"series": [{ "id": 123 }]
},
"access": {
"tiers": [{ "id": 123 }],
"price": 25150
},
"notifications": { "enabled": True },
"remove_thumbnail": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attributes: {
core: {
title: '<string>',
description: '<string>',
liveAt: '2023-11-07T05:31:56Z',
tags: ['<string>']
},
series: [{id: 123}]
},
access: {tiers: [{id: 123}], price: 25150},
notifications: {enabled: true},
remove_thumbnail: true
})
};
fetch('https://api.fourthwall.com/open-api/v1.1/memberships/posts/video_embeds/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "VideoEmbed",
"action": "Update",
"postId": 123,
"imageDirectUploadData": {
"uploadUrl": "<string>",
"headers": {
"content-MD5": "7vJP+O8buKShZwMbdl7wJQ==",
"content-Disposition": "inline; filename=\"7c8f5486-7841-4890-841f-53a3ebe2b445\"; filename*=UTF-8''7c8f5486-7841-4890-841f-53a3ebe2b445",
"cache-Control": "public, max-age=2592000"
},
"signedId": "<string>"
}
}{
"parameters": "{ \"post_id\": [ \"is missing\" ] }",
"body": "{ \"discount\": { \"percentOff\": [ \"is missing\" ] } }"
}{
"message": "<string>"
}Posts
Update Video Embed Post
PUT
/
open-api
/
v1.1
/
memberships
/
posts
/
video_embeds
/
{id}
Update Video Embed Post
OAuth scope:
memberships_writeAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Body
application/json
⌘I